Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.protocols.email.beans
Class Message

    java.lang.Object
      oracle.ifs.beans.LibraryObject
          oracle.ifs.beans.TieLibraryObject
              oracle.ifs.beans.PublicObject
                  oracle.ifs.beans.TiePublicObject
                      oracle.ifs.beans.Folder
                          oracle.ifs.beans.TieFolder
                              oracle.ifs.protocols.email.beans.Message

All Implemented Interfaces:
  IfsEventHandler, LibraryObjectInterface, PublicObjectInterface, Traceable, MailObject, MessageInterface

Direct Known Subclasses:
  TieMessage

    public class Message

extends TieFolder
implements MailObject, MessageInterface

The Message class is the main class to handle iFS email objects. All emails are accesible only through this class. This class in turn has relationships to a number of other objects that make up a message

(Unpublished)

Field Summary
`static java.lang.String` | `ANSWERED_ATTRIBUTE` Name of the Answered Attribute
`static java.lang.String` | `BCCADDRESS_ATTRIBUTE` Name of the BccAddress Attribute
`static java.lang.String` | `BYTECOUNT_ATTRIBUTE` Name of the ByteCount Attribute
`static java.lang.String` | `CCADDRESS_ATTRIBUTE` Name of the CcAddress Attribute
`static java.lang.String` | `CLASS_NAME` This class name for this class.
`static java.lang.String` | `CONTENTDISPOSITION_ATTRIBUTE` Name of the ContentDisposition Attribute
`static java.lang.String` | `CONTENTTRANSFERENCODING_ATTRIBUTE` Name of the ContentTransferEncoding Attribute
`static java.lang.String` | `CONTENTTYPE_ATTRIBUTE` Name of the ContentType Attribute
`static java.lang.String` | `CONTENTTYPEPARAMETERS_ATTRIBUTE` Name of the ContentTypeParameters Attribute
`static java.lang.String` | `DRAFT_ATTRIBUTE` Name of the Draft Attribute
`static java.lang.String` | `FLAGGED_ATTRIBUTE` Name of the Flagged Attribute
`static java.lang.String` | `FROMADDRESS_ATTRIBUTE` Name of the FromAddress Attribute
`static java.lang.String` | `INREPLYTO_ATTRIBUTE` Name of the InReplyTo Attribute
`static java.lang.String` | `LINECOUNT_ATTRIBUTE` Name of the LineCount Attribute
`static java.lang.String` | `MESSAGEID_ATTRIBUTE` Name of the MessageId Attribute
`static java.lang.String` | `MESSAGELOCK_ATTRIBUTE` Name of the MessageLock Attribute
`static java.lang.String` | `MESSAGEUID_ATTRIBUTE` Name of the MessageUID Attribute
`static java.lang.String` | `RECENT_ATTRIBUTE` Name of the Recent Attribute
`static java.lang.String` | `REPLYTO_ATTRIBUTE` Name of the ReplyTo Attribute
`static java.lang.String` | `RFC822DATE_ATTRIBUTE` Name of the RFC822Date Attribute
`static java.lang.String` | `RFC822HEADER_ATTRIBUTE` Name of the RFC822Header Attribute
`static java.lang.String` | `RFC822SIZE_ATTRIBUTE` Name of the RFC822Size Attribute
`static java.lang.String` | `SEEN_ATTRIBUTE` Name of the Seen Attribute
`static java.lang.String` | `SENDER_ATTRIBUTE` Name of the Sender Attribute
`static java.lang.String` | `SUBJECT_ATTRIBUTE` Name of the Subject Attribute
`static java.lang.String` | `TOADDRESS_ATTRIBUTE` Name of the ToAddress Attribute

Fields inherited from class oracle.ifs.beans.Folder
`SYSTEMOPTIONVALUE_FOLDER_DEPTH_DEEPEST, SYSTEMOPTIONVALUE_FOLDER_DEPTH_MUST_BE_EMPTY, SYSTEMOPTIONVALUE_FOLDER_DEPTH_NONE`

Fields inherited from class oracle.ifs.beans.PublicObject
`ACL_ATTRIBUTE, CREATEDATE_ATTRIBUTE, CREATOR_ATTRIBUTE, DELETOR_ATTRIBUTE, DESCRIPTION_ATTRIBUTE, EXPIRATIONDATE_ATTRIBUTE, FAMILY_ATTRIBUTE, FLAG_CATEGORY_EXISTS, FLAG_CONFIGURATIONCATEGORY_EXISTS, FLAG_MARKED, FLAG_NOINFERIOR, FLAG_NOSELECT, FLAG_NTFS_ARCHIVE, FLAG_NTFS_HIDDEN, FLAG_NTFS_READONLY, FLAG_NTFS_SYSTEM, FLAG_UNMARKED, FLAGS_ATTRIBUTE, LASTMODIFIER_ATTRIBUTE, LASTMODIFYDATE_ATTRIBUTE, LOCKENTRIES_ATTRIBUTE, LOCKOBJECT_ATTRIBUTE, NAME_ATTRIBUTE, OWNER_ATTRIBUTE, POLICYBUNDLE_ATTRIBUTE, POLICYLISTS_ATTRIBUTE, PRIMARYPARENTFOLDER_ATTRIBUTE, PROPERTYBUNDLE_ATTRIBUTE, RESOLVEDPUBLICOBJECT_ATTRIBUTE, SECURINGPUBLICOBJECT_ATTRIBUTE`

Fields inherited from class oracle.ifs.beans.LibraryObject
`DOMAIN_UNIQUENAME_DEFAULT_DELIMITER, m_ClassId, m_Id, m_Session`

Fields inherited from interface oracle.ifs.protocols.email.beans.MailObject
`MESSAGEOBJECT_ATTRIBUTE`

Constructor Summary
`protected` | `Message(LibrarySession session, java.lang.Long id, java.lang.Long classId, S_LibraryObjectData data)` Construct a Message object - standard variant.

Method Summary
`void` | `clearRecent()` clearRecent() Clear the recent flag
`java.lang.String[]` | `getBccList()`
`long` | `getByteCount()` getByteCount() Get the byte count
`java.lang.String[]` | `getCcList()`
`java.lang.String` | `getContentType()` getContentType() Get the content type of the message
`PropertyBundle` | `getContentTypeParameter()` getContentTypeParameter() Get the content type parameter of the message
`int` | `getCount()` getCount() Get the number of body parts in the message This is part of the MultipartDataSource interface.
`java.lang.String[]` | `getFromList()`
`java.io.InputStream` | `getInputStream()` getInputStream() Get an input stream representing the data This is part of the DataSource interface.
`java.lang.String` | `getInReplyTo()` getInReplyTo() Get the InReplyTo value as a string array
`long` | `getLineCount()` getLineCount() Get the number of lines
`java.lang.String` | `getMessageId()` getMessageID() Get the message ID
`PublicObject` | `getMessageObject()` getMessageObject() Get the Message Object For use by Web-UI and Win-Ui finds
`long` | `getMessageObjectId()` getMessageObjectId() Get the id for the message object
`java.io.OutputStream` | `getOutputStream()` getOutputStream() Get an OutputStream to write data to the message.
`static LibraryObject` | `getOwningObject(LibraryObject lo)` getOwningObject() Get the LibraryObject that owns this object This is for use in the Web-UI and Win-Ui finds
`java.util.Date` | `getReceivedDate()`
`java.lang.String[]` | `getReplyToList()`
`java.util.Date` | `getRFC822Date()` getRFC822Date() Get the RFC822 Date
`java.lang.String[]` | `getRFC822Header()` getRFC822Header() Get the RFC822 Header for the message This is the entire consolidated header
`int` | `getRFC822Size()`
`java.lang.String[]` | `getSenderList()`
`java.lang.String` | `getSubject()`
`java.lang.String[]` | `getToList()`
`long` | `getUid()` getUid() Get the uid
`boolean` | `isAnswered()` isAnswered() Check is the Answered attribute
`boolean` | `isDraft()` isDraft() Check if the message is a draft
`boolean` | `isFlagged()` isFlagged() Check if the flagged attribute is true
`boolean` | `isMsgLocked()` isMsgLocked() Check if the message is locked
`boolean` | `isRecent()`
`boolean` | `isSeen()` isSeen() Check is the message isSeen
`boolean` | `setAnswered(boolean flag)` setAnswered() Set the answered attribute
`boolean` | `setDraft(boolean flag)` setDraft() Set the draft attribute to be true
`boolean` | `setFlagged(boolean flag)` setFlagged() set the flagged attribute
`void` | `setMessageObjectId(long oid)` setMessageObjectId() Set the message object id
`boolean` | `setSeen(boolean flag)` setSeen() Set the seen attribute
`protected void` | `setUid(long uid)` setUid() Get the uid

Methods inherited from class oracle.ifs.beans.Folder
`addItem, addItem, addItems, auditUpdated, capabilities, checkExistenceOfPublicObjectByPath, constructFolder, constructFolderArray, constructFolderVector, createSecuredDocument, createUniqueName, createUniqueName, exists, fetchItemCount, fetchSubfolderCount, find, findPublicObjectByPath, free, getGlobalAuditEventExpirationPeriod, getGlobalAuditTypeList, getItemCount, getItems, getResolvedItems, getSortSpecification, getSubfolderCount, handleAdminModeChange, handleDefaultFolderOptionChange, handleEvent, hasItems, hasSubfolders, initializeSubfolderIndication, isAuditAdministrator, isValidEventType, isValidNameForNewObject, lock, lock, moveItems, newGetItems, postCreate, preFree, removeAllItems, removeItem, removeItem, removeItems, reportFolderCreated, reportFolderFreed, reportFolderItemAdded, reportFolderItemRemoved, resetItems, resolveSortSpecification, setDomainVisibleSecurity, setSortSpecification, unlock, vectorToFolderArray, verifyValidAuditDomain`

Methods inherited from class oracle.ifs.beans.PublicObject
`addAccess, addCategory, addFlags, addRelationship, auditPublicObjectLocked, auditPublicObjectUnlocked, canAcquireManualLock, canReleaseDavLock, canReleaseLock, canReleaseManualLock, checkAuditViewCapability, checkCapabilities, checkCapability, checkEffectiveAccess, checkEffectiveAccess, checkLockAccess, checkVersioned, clearFlags, constructPublicObject, constructPublicObjectArray, constructPublicObjectVector, copy, coreAutoFolderingEnabled, createCategories, createDedicatedPolicyPropertyBundle, delete, deriveEffectiveAccessLevel, getAcl, getAllFolderPaths, getAllFolderPaths, getAllFolderPaths, getAnyFolderPath, getAnyFolderPath, getAnyFolderPath, getCapabilities, getCategories, getCategories, getCategories, getCategories, getCategories, getCategory, getConsumedStorage, getCreateDate, getCreator, getDefaultAccessLevel, getDeletor, getDescription, getEffectiveAccessLevel, getEffectiveAccessLevel, getExpirationDate, getFamily, getFirstVersion, getFlags, getFolderReferences, getFolderReferences, getFolderReferencesSortSpecification, getLastModifier, getLastModifyDate, getLastVersion, getLeftwardRelationshipObjects, getLeftwardRelationshipObjects, getLeftwardRelationships, getLeftwardRelationships, getLeftwardRelationshipsCount, getLeftwardRelationshipsCount, getLinks, getLockEntries, getLockEntries, getLockObject, getLockRestrictions, getLockTypeAuditProperties, getNextVersion, getOwner, getPolicyBundle, getPolicyLists, getPreviousVersion, getPrimaryFolderPath, getPrimaryParentFolder, getPrimaryParentFolder, getReservationComment, getReservationDate, getReservor, getResolvedPublicObject, getRestrictingLockEntries, getRightwardRelationshipObjects, getRightwardRelationshipObjects, getRightwardRelationships, getRightwardRelationships, getSecuringPublicObject, getSingletonVersionDescription, getVersionNumber, getVersions, getVersionSeries, getWorkingCopy, grantAccess, handleCopy, handleCreate, handleUnlockAll, hasCategories, hasConfigurationCategories, hasNameAttribute, isDeleted, isLatestVersion, isLocked, isLockingSupported, isOwner, isReserved, isReservedByCurrentUser, isVersionable, isVersioned, isWorkingCopy, listLeftwardRelationships, listRightwardRelationships, lock, lock, lock, lock, newVersion, postCopy, postUpdate, preCopy, preCreate, preUpdate, putPolicy, reassociateLinks, removeAllPolicies, removePolicy, removePolicy, removeRelationship, reserveNext, resetFolderReferences, resolveFolderReferenceSortSpecification, revokeAccess, revokeAllAccess, setAcl, setDescription, setExpirationDate, setFlags, setFolderReferencesSortSpecification, setLockEntries, setLockEntrySecurity, setOwner, setOwnerByName, setPolicyBundle, setPolicyLists, setSecuringPublicObject, toPublicObjectArray, undelete, unlock, unlock, unlockAll, unReserve, updateFlags, updateLock, vectorPublicObjectElement, vectorToPublicObjectArray, verifyDeleteCapability, verifyLockCapability, verifyUnlockCapability, verifyVersionSeries`

Methods inherited from class oracle.ifs.beans.LibraryObject
`applyProperties, auditCreated, checkRequiredAttributeSet, clearCopyContext, clearFreeContext, clearUpdateContext, constructIdArray, constructIdArray, constructLibraryObject, constructLibraryObjectVector, createDedicatedPropertyBundle, deriveDomainUniqueName, dispose, equals, free, get, getAttribute, getAttributeByUpperCaseName, getAttributes, getAttributesByUpperCaseNames, getAuditDomainContext, getAuditEventFolderContext, getClassId, getClassname, getClassName, getClassObject, getCommonName, getCopyContext, getCreateContext, getData, getDefinition, getEffectivePolicyListElements, getEventualAttributeByUpperCaseName, getFreeContext, getId, getLabel, getName, getObjectReferenceAttribute, getOperationActionSpecificationContext, getPropertyBundle, getPropertyValue, getPublicObjectAttribute, getResourceString, getResourceString, getSchemaObjectAttribute, getSession, getSessionInterface, getSharedStateFactory, getStringIdentifier, getSystemObjectAttribute, getTraceLogger, getUpdateContext, handleFree, handleUpdate, hashCode, invokeOperation, invokeOperation, invokeServerMethod, isConnected, isCoreEventPostingEnabled, isInstanceOf, isTraced, lockRows, lookupInstanceLabel, postEvent, postEvent, postFree, prePostAuditEvent, putProperty, putProperty, removeAllProperties, removeProperty, renderAsRandomAccessContent, renderAsReader, renderAsStream, setAttribute, setAttribute, setAttributes, setAttributes, setCopyContext, setFreeContext, setId, setName, setPropertyBundle, setPropertyValue, setUpdateContext, toString, trace, trustHandleCreate, trustHandleCreateAsAdmin, trustHandleFree, trustHandleFreeAsAdmin, trustHandleUpdate, trustHandleUpdateAsAdmin, update, updateAndExposeDefinition, validatePropertyValues, vectorLibraryObjectElement, vectorToLibraryObjectArray, verifyAdministrationMode, verifyConnected, verifySystemUserAccess, verifyTargetObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface oracle.ifs.protocols.email.beans.MessageInterface
`free, getCreateDate, getId, getLastModifyDate, getName, getSession`

Methods inherited from interface oracle.ifs.common.LibraryObjectInterface
`getAttributeByUpperCaseName, getClassId, getId, getSessionInterface`

Methods inherited from interface oracle.ifs.common.Traceable
`getTraceLogger, isTraced, trace`

Field Detail

### CLASS_NAME

    public static final java.lang.String CLASS_NAME

  Description copied from class: `Message`
  This class name for this class. Useful for methods that take a class name argument.

  See Also:
    Constant Field Values
  (Published)

### FROMADDRESS_ATTRIBUTE

    public static final java.lang.String FROMADDRESS_ATTRIBUTE

  Description copied from class: `Message`
  Name of the FromAddress Attribute

  See Also:
    Constant Field Values
  (Published)

### TOADDRESS_ATTRIBUTE

    public static final java.lang.String TOADDRESS_ATTRIBUTE

  Description copied from class: `Message`
  Name of the ToAddress Attribute

  See Also:
    Constant Field Values
  (Published)

### CCADDRESS_ATTRIBUTE

    public static final java.lang.String CCADDRESS_ATTRIBUTE

  Description copied from class: `Message`
  Name of the CcAddress Attribute

  See Also:
    Constant Field Values
  (Published)

### BCCADDRESS_ATTRIBUTE

    public static final java.lang.String BCCADDRESS_ATTRIBUTE

  Description copied from class: `Message`
  Name of the BccAddress Attribute

  See Also:
    Constant Field Values
  (Published)

### SENDER_ATTRIBUTE

    public static final java.lang.String SENDER_ATTRIBUTE

  Description copied from class: `Message`
  Name of the Sender Attribute

  See Also:
    Constant Field Values
  (Published)

### SUBJECT_ATTRIBUTE

    public static final java.lang.String SUBJECT_ATTRIBUTE

  Description copied from class: `Message`
  Name of the Subject Attribute

  See Also:
    Constant Field Values
  (Published)

### RFC822DATE_ATTRIBUTE

    public static final java.lang.String RFC822DATE_ATTRIBUTE

  Description copied from class: `Message`
  Name of the RFC822Date Attribute

  See Also:
    Constant Field Values
  (Published)

### REPLYTO_ATTRIBUTE

    public static final java.lang.String REPLYTO_ATTRIBUTE

  Description copied from class: `Message`
  Name of the ReplyTo Attribute

  See Also:
    Constant Field Values
  (Published)

### INREPLYTO_ATTRIBUTE

    public static final java.lang.String INREPLYTO_ATTRIBUTE

  Description copied from class: `Message`
  Name of the InReplyTo Attribute

  See Also:
    Constant Field Values
  (Published)

### MESSAGEID_ATTRIBUTE

    public static final java.lang.String MESSAGEID_ATTRIBUTE

  Description copied from class: `Message`
  Name of the MessageId Attribute

  See Also:
    Constant Field Values
  (Published)

### RFC822SIZE_ATTRIBUTE

    public static final java.lang.String RFC822SIZE_ATTRIBUTE

  Description copied from class: `Message`
  Name of the RFC822Size Attribute

  See Also:
    Constant Field Values
  (Published)

### RFC822HEADER_ATTRIBUTE

    public static final java.lang.String RFC822HEADER_ATTRIBUTE

  Description copied from class: `Message`
  Name of the RFC822Header Attribute

  See Also:
    Constant Field Values
  (Published)

### CONTENTTYPE_ATTRIBUTE

    public static final java.lang.String CONTENTTYPE_ATTRIBUTE

  Description copied from class: `Message`
  Name of the ContentType Attribute

  See Also:
    Constant Field Values
  (Published)

### CONTENTTYPEPARAMETERS_ATTRIBUTE

    public static final java.lang.String CONTENTTYPEPARAMETERS_ATTRIBUTE

  Description copied from class: `Message`
  Name of the ContentTypeParameters Attribute

  See Also:
    Constant Field Values
  (Published)

### MESSAGEUID_ATTRIBUTE

    public static final java.lang.String MESSAGEUID_ATTRIBUTE

  Description copied from class: `Message`
  Name of the MessageUID Attribute

  See Also:
    Constant Field Values
  (Published)

### RECENT_ATTRIBUTE

    public static final java.lang.String RECENT_ATTRIBUTE

  Description copied from class: `Message`
  Name of the Recent Attribute

  See Also:
    Constant Field Values
  (Published)

### SEEN_ATTRIBUTE

    public static final java.lang.String SEEN_ATTRIBUTE

  Description copied from class: `Message`
  Name of the Seen Attribute

  See Also:
    Constant Field Values
  (Published)

### FLAGGED_ATTRIBUTE

    public static final java.lang.String FLAGGED_ATTRIBUTE

  Description copied from class: `Message`
  Name of the Flagged Attribute

  See Also:
    Constant Field Values
  (Published)

### ANSWERED_ATTRIBUTE

    public static final java.lang.String ANSWERED_ATTRIBUTE

  Description copied from class: `Message`
  Name of the Answered Attribute

  See Also:
    Constant Field Values
  (Published)

### DRAFT_ATTRIBUTE

    public static final java.lang.String DRAFT_ATTRIBUTE

  Description copied from class: `Message`
  Name of the Draft Attribute

  See Also:
    Constant Field Values
  (Published)

### MESSAGELOCK_ATTRIBUTE

    public static final java.lang.String MESSAGELOCK_ATTRIBUTE

  Description copied from class: `Message`
  Name of the MessageLock Attribute

  See Also:
    Constant Field Values
  (Published)

### BYTECOUNT_ATTRIBUTE

    public static final java.lang.String BYTECOUNT_ATTRIBUTE

  Description copied from class: `Message`
  Name of the ByteCount Attribute

  See Also:
    Constant Field Values
  (Published)

### LINECOUNT_ATTRIBUTE

    public static final java.lang.String LINECOUNT_ATTRIBUTE

  Description copied from class: `Message`
  Name of the LineCount Attribute

  See Also:
    Constant Field Values
  (Published)

### CONTENTTRANSFERENCODING_ATTRIBUTE

    public static final java.lang.String CONTENTTRANSFERENCODING_ATTRIBUTE

  Description copied from class: `Message`
  Name of the ContentTransferEncoding Attribute

  See Also:
    Constant Field Values
  (Published)

### CONTENTDISPOSITION_ATTRIBUTE

    public static final java.lang.String CONTENTDISPOSITION_ATTRIBUTE

  Description copied from class: `Message`
  Name of the ContentDisposition Attribute

  See Also:
    Constant Field Values
  (Published)

Constructor Detail

### Message

    protected Message(LibrarySession session,
                      java.lang.Long id,
                      java.lang.Long classId,
                      S_LibraryObjectData data)
               throws IfsException

  Construct a Message object - standard variant.

  Parameters:
    `session` - current LibSession
    `id` - String version of the object ID
    `classId` - Long version of the class ID
    `data` - the object's data
  Throws:
    `IfsException`
  (Published)

Method Detail

### getByteCount

    public long getByteCount()
                      throws IfsException

  Description copied from class: `Message`
  getByteCount() Get the byte count

  Throws:
    `IfsException`
  (Unpublished)

### getLineCount

    public long getLineCount()
                      throws IfsException

  Description copied from class: `Message`
  getLineCount() Get the number of lines

  Throws:
    `IfsException`
  (Unpublished)

### getUid

    public long getUid()
                throws IfsException

  Description copied from class: `Message`
  getUid() Get the uid

  Throws:
    `IfsException`
  (Unpublished)

### setUid

    protected void setUid(long uid)
                   throws IfsException

  Description copied from class: `Message`
  setUid() Get the uid

  Throws:
    `IfsException`
  (Unpublished)

### getFromList

    public java.lang.String[] getFromList()
                                   throws IfsException

  Specified by:
    `getFromList` in interface `MessageInterface`
  Throws:
    `IfsException`

### getToList

    public java.lang.String[] getToList()
                                 throws IfsException

  Specified by:
    `getToList` in interface `MessageInterface`
  Throws:
    `IfsException`

### getCcList

    public java.lang.String[] getCcList()
                                 throws IfsException

  Specified by:
    `getCcList` in interface `MessageInterface`
  Throws:
    `IfsException`

### getBccList

    public java.lang.String[] getBccList()
                                  throws IfsException

  Specified by:
    `getBccList` in interface `MessageInterface`
  Throws:
    `IfsException`

### getSenderList

    public java.lang.String[] getSenderList()
                                     throws IfsException

  Specified by:
    `getSenderList` in interface `MessageInterface`
  Throws:
    `IfsException`

### getReplyToList

    public java.lang.String[] getReplyToList()
                                      throws IfsException

  Throws:
    `IfsException`

### isRecent

    public boolean isRecent()
                     throws IfsException

  Throws:
    `IfsException`

### clearRecent

    public void clearRecent()
                     throws IfsException

  Description copied from class: `Message`
  clearRecent() Clear the recent flag

  Throws:
    `IfsException`
  (Unpublished)

### isMsgLocked

    public boolean isMsgLocked()
                        throws IfsException

  Description copied from class: `Message`
  isMsgLocked() Check if the message is locked

  Throws:
    `IfsException`
  (Unpublished)

### isSeen

    public boolean isSeen()
                   throws IfsException

  Description copied from class: `Message`
  isSeen() Check is the message isSeen

  Throws:
    `IfsException`
  (Unpublished)

### setSeen

    public boolean setSeen(boolean flag)
                    throws IfsException

  Description copied from class: `Message`
  setSeen() Set the seen attribute

  Throws:
    `IfsException`
  (Unpublished)

### isDraft

    public boolean isDraft()
                    throws IfsException

  Description copied from class: `Message`
  isDraft() Check if the message is a draft

  Throws:
    `IfsException`
  (Unpublished)

### setDraft

    public boolean setDraft(boolean flag)
                     throws IfsException

  Description copied from class: `Message`
  setDraft() Set the draft attribute to be true

  Throws:
    `IfsException`
  (Unpublished)

### isFlagged

    public boolean isFlagged()
                      throws IfsException

  Description copied from class: `Message`
  isFlagged() Check if the flagged attribute is true

  Throws:
    `IfsException`
  (Unpublished)

### setFlagged

    public boolean setFlagged(boolean flag)
                       throws IfsException

  Description copied from class: `Message`
  setFlagged() set the flagged attribute

  Throws:
    `IfsException`
  (Unpublished)

### isAnswered

    public boolean isAnswered()
                       throws IfsException

  Description copied from class: `Message`
  isAnswered() Check is the Answered attribute

  Throws:
    `IfsException`
  (Unpublished)

### setAnswered

    public boolean setAnswered(boolean flag)
                        throws IfsException

  Description copied from class: `Message`
  setAnswered() Set the answered attribute

  Throws:
    `IfsException`
  (Unpublished)

### getReceivedDate

    public java.util.Date getReceivedDate()
                                   throws IfsException

  Throws:
    `IfsException`

### getRFC822Date

    public java.util.Date getRFC822Date()
                                 throws IfsException

  Description copied from class: `Message`
  getRFC822Date() Get the RFC822 Date

  Throws:
    `IfsException`
  (Published)

### getSubject

    public java.lang.String getSubject()
                                throws IfsException

  Throws:
    `IfsException`

### getInReplyTo

    public java.lang.String getInReplyTo()
                                  throws IfsException

  Description copied from class: `Message`
  getInReplyTo() Get the InReplyTo value as a string array

  Throws:
    `IfsException`
  (Unpublished)

### getMessageId

    public java.lang.String getMessageId()
                                  throws IfsException

  Description copied from class: `Message`
  getMessageID() Get the message ID

  Throws:
    `IfsException`
  (Unpublished)

### getContentType

    public java.lang.String getContentType()
                                    throws IfsException

  Description copied from class: `Message`
  getContentType() Get the content type of the message

  Throws:
    `IfsException`
  (Unpublished)

### getContentTypeParameter

    public PropertyBundle getContentTypeParameter()
                                           throws IfsException

  Description copied from class: `Message`
  getContentTypeParameter() Get the content type parameter of the message

  Throws:
    `IfsException`
  (Unpublished)

### getRFC822Size

    public int getRFC822Size()
                      throws IfsException

  Throws:
    `IfsException`

### getRFC822Header

    public java.lang.String[] getRFC822Header()
                                       throws IfsException

  Description copied from class: `Message`
  getRFC822Header() Get the RFC822 Header for the message This is the entire consolidated header

  Throws:
    `IfsException`
  (Unpublished)

### getMessageObjectId

    public long getMessageObjectId()
                            throws IfsException

  Description copied from class: `Message`
  getMessageObjectId() Get the id for the message object

  Throws:
    `IfsException`
  (Unpublished)

### setMessageObjectId

    public void setMessageObjectId(long oid)
                            throws IfsException

  Description copied from class: `Message`
  setMessageObjectId() Set the message object id

  Throws:
    `IfsException`
  (Unpublished)

### getMessageObject

    public PublicObject getMessageObject()
                                  throws IfsException

  Description copied from class: `Message`
  getMessageObject() Get the Message Object For use by Web-UI and Win-Ui finds

  Specified by:
    `getMessageObject` in interface `MailObject`
  Throws:
    `IfsException` - (IFS-11030) if an error occurs
  (Unpublished)

### getOwningObject

    public static LibraryObject getOwningObject(LibraryObject lo)
                                         throws IfsException

  Description copied from class: `Message`
  getOwningObject() Get the LibraryObject that owns this object This is for use in the Web-UI and Win-Ui finds

  Throws:
    `IfsException`
  (Unpublished)

### getInputStream

    public java.io.InputStream getInputStream()
                                       throws java.io.IOException

  Description copied from class: `Message`
  getInputStream() Get an input stream representing the data This is part of the DataSource interface.

  Throws:
    `java.io.IOException`
  (Unpublished)

### getOutputStream

    public java.io.OutputStream getOutputStream()
                                         throws java.io.IOException

  Description copied from class: `Message`
  getOutputStream() Get an OutputStream to write data to the message. This is part of the DataSource interface.

  Throws:
    `java.io.IOException`
  (Unpublished)

### getCount

    public int getCount()

  Description copied from class: `Message`
  getCount() Get the number of body parts in the message This is part of the MultipartDataSource interface.

  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD